# Get account dormancy Retrieves an account dormancy configuration by the account external ID. # OpenAPI definition ```json { "openapi": "3.0.0", "info": { "title": "Banking - Transaction banking", "version": "0.9.0", "description": "Transaction banking API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Dormancy", "description": "Dormancy endpoints" } ], "components": { "parameters": { "ExternalAccountIdPath": { "name": "externalAccountId", "in": "path", "description": "External account ID", "schema": { "type": "string", "minLength": 1, "maxLength": 60 }, "example": "12345678901", "required": true } }, "schemas": { "AccountID": { "type": "integer", "format": "int64", "description": "Account ID", "example": 1234 }, "DormancyConfigID": { "type": "string", "description": "Dormancy configuration ID generated internally", "format": "uuid", "example": "b993ba96-b3e8-4ef7-9cf7-7eee5ddafdab" }, "DormancyControlID": { "type": "string", "description": "Account dormancy control ID generated internally", "format": "uuid" }, "DormancyTargetType": { "type": "string", "description": "Dormancy configuration target", "enum": [ "DIVISION", "PROGRAM" ], "example": "DIVISION" }, "ErrorCode": { "description": "Error code\n`minLength: 1`\n`maxLength: 12`\n", "type": "string", "minLength": 1, "maxLength": 12, "example": "WPMT0017" }, "ErrorMessage": { "description": "Error message\n`minLength: 1`\n`maxLength: 1000`\n", "type": "string", "minLength": 1, "maxLength": 1000, "example": "Invalid JSON payload received: Error unmarshalling request" }, "ErrorResponse": { "type": "object", "properties": { "code": { "$ref": "#/components/schemas/ErrorCode" }, "message": { "$ref": "#/components/schemas/ErrorMessage" } } }, "ExternalAccountID": { "maxLength": 60, "type": "string", "pattern": "^[a-zA-Z0-9-]+$", "description": "Custom account ID. Used as the key for all operations (manage accounts, transactions, etc.) on the corporate layer.\n\nThis field is:\n- Unique within the Organization\n- Immutable: The field cannot be updated.\n- Not recyclable: You can't reuse an external account ID, even if the account that was using it has been canceled.\n", "example": "b993ba96-b3e8-4ef7-9cf7-7eee5ddafdab" }, "GetAccountDormancyResponse": { "description": "Get account-dormancy-control response object", "type": "object", "properties": { "id": { "$ref": "#/components/schemas/DormancyControlID" }, "external_account_id": { "$ref": "#/components/schemas/ExternalAccountID" }, "account_id": { "$ref": "#/components/schemas/AccountID" }, "dormancy_config_id": { "$ref": "#/components/schemas/DormancyConfigID" }, "inactive_since": { "$ref": "#/components/schemas/InactiveSince" }, "inactivity_time": { "$ref": "#/components/schemas/InactivityTime" }, "target_type": { "$ref": "#/components/schemas/DormancyTargetType" }, "target_id": { "$ref": "#/components/schemas/TargetID" } } }, "InactiveSince": { "type": "string", "description": "Date of the last time the account had any activities. Format = yyyy-mm-dd:hr:mm:ss.", "example": "2023-08-04T15:00:44.704Z" }, "InactivityTime": { "type": "integer", "format": "int32", "description": "Number of days the account has been inactive.
\n`inactivity_time` is calculated as `current_datetime` - `inactive_since` in UTC timezone.\n", "example": 10 }, "TargetID": { "type": "string", "description": "Target ID. When `target_type` is `DIVISION`, this value is the division code. Likewise, when `target_type` is `PROGRAM`, the value is the program ID, and so on.", "maxLength": 60, "example": "my-division-code" } }, "responses": { "500InternalServer": { "description": "Internal Server Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Generic internal error": { "value": { "code": "ECMN9999", "message": "Internal error" } } } } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "paths": { "/corporate/v1/account-dormancy/{externalAccountId}": { "get": { "summary": "Get account dormancy", "operationId": "getAccountDormancy", "description": "Retrieves an account dormancy configuration by the account external ID.", "parameters": [ { "$ref": "#/components/parameters/ExternalAccountIdPath" } ], "tags": [ "Dormancy" ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetAccountDormancyResponse" } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Invalid header account": { "value": { "code": "WCAC0002", "message": "Invalid header account" } }, "Account not authorized": { "value": { "code": "WCAC0001", "message": "Account not authorized" } } } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Account Dormancy Control not found: {externalAccountId}": { "value": { "code": "WADC0002", "message": "Account Dormancy Control not found: {externalAccountId}" } }, "Account not found:": { "value": { "code": "WADC0003", "message": "Corporate account not found" } }, "Division code not found:": { "value": { "code": "WADC0004", "message": "Division with division_code {%s} not found" } } } } } }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```